Open CASCADE Technology: BRep_CurveOn2Surfaces Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRep_CurveOn2Surfaces Class Reference

Defines a continuity between two surfaces. More...

`#include <BRep_CurveOn2Surfaces.hxx>`

Inheritance diagram for BRep_CurveOn2Surfaces:
[legend]

## Public Member Functions
| BRep_CurveOn2Surfaces (const Handle< Geom_Surface > &S1, const Handle< Geom_Surface > &S2, const TopLoc_Location &L1, const TopLoc_Location &L2, const GeomAbs_Shape C)
virtual Standard_Boolean | IsRegularity () const
| Returns True. More...
virtual Standard_Boolean | IsRegularity (const Handle< Geom_Surface > &S1, const Handle< Geom_Surface > &S2, const TopLoc_Location &L1, const TopLoc_Location &L2) const
| A curve on two surfaces (continuity). More...
void | D0 (const Standard_Real U, gp_Pnt &P) const
| Raises an error. More...
virtual const Handle< Geom_Surface > & | Surface () const
virtual const Handle< Geom_Surface > & | Surface2 () const
virtual const TopLoc_Location & | Location2 () const
virtual const GeomAbs_Shape & | Continuity () const
virtual void | Continuity (const GeomAbs_Shape C)
Handle< BRep_CurveRepresentation > | Copy () const
| Return a copy of this representation. More...
Public Member Functions inherited from BRep_CurveRepresentation
virtual Standard_Boolean | IsCurve3D () const
| A 3D curve representation. More...
virtual Standard_Boolean | IsCurveOnSurface () const
| A curve in the parametric space of a surface. More...
virtual Standard_Boolean | IsCurveOnClosedSurface () const
| A curve with two parametric curves on the same surface. More...
virtual Standard_Boolean | IsCurveOnSurface (const Handle< Geom_Surface > &S, const TopLoc_Location &L) const
| Is it a curve in the parametric space of <S> with location <L>. More...
virtual Standard_Boolean | IsPolygon3D () const
| A 3D polygon representation. More...
virtual Standard_Boolean | IsPolygonOnTriangulation () const
| A representation by an array of nodes on a triangulation. More...
virtual Standard_Boolean | IsPolygonOnTriangulation (const Handle< Poly_Triangulation > &T, const TopLoc_Location &L) const
| Is it a polygon in the definition of <T> with location <L>. More...
virtual Standard_Boolean | IsPolygonOnClosedTriangulation () const
| A representation by two arrays of nodes on a triangulation. More...
virtual Standard_Boolean | IsPolygonOnSurface () const
| A polygon in the parametric space of a surface. More...
virtual Standard_Boolean | IsPolygonOnSurface (const Handle< Geom_Surface > &S, const TopLoc_Location &L) const
| Is it a polygon in the parametric space of <S> with location <L>. More...
virtual Standard_Boolean | IsPolygonOnClosedSurface () const
| Two 2D polygon representations in the parametric space of a surface. More...
const TopLoc_Location & | Location () const
void | Location (const TopLoc_Location &L)
virtual const Handle< Geom_Curve > & | Curve3D () const
virtual void | Curve3D (const Handle< Geom_Curve > &C)
virtual const Handle< Geom2d_Curve > & | PCurve () const
virtual void | PCurve (const Handle< Geom2d_Curve > &C)
virtual const Handle< Geom2d_Curve > & | PCurve2 () const
virtual void | PCurve2 (const Handle< Geom2d_Curve > &C)
virtual const Handle< Poly_Polygon3D > & | Polygon3D () const
virtual void | Polygon3D (const Handle< Poly_Polygon3D > &P)
virtual const Handle< Poly_Polygon2D > & | Polygon () const
virtual void | Polygon (const Handle< Poly_Polygon2D > &P)
virtual const Handle< Poly_Polygon2D > & | Polygon2 () const
virtual void | Polygon2 (const Handle< Poly_Polygon2D > &P)
virtual const Handle< Poly_Triangulation > & | Triangulation () const
virtual const Handle< Poly_PolygonOnTriangulation > & | PolygonOnTriangulation () const
virtual void | PolygonOnTriangulation (const Handle< Poly_PolygonOnTriangulation > &P)
virtual const Handle< Poly_PolygonOnTriangulation > & | PolygonOnTriangulation2 () const
virtual void | PolygonOnTriangulation2 (const Handle< Poly_PolygonOnTriangulation > &P2)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from BRep_CurveRepresentation
| BRep_CurveRepresentation (const TopLoc_Location &L)
Protected Attributes inherited from BRep_CurveRepresentation
TopLoc_Location | myLocation

## Detailed Description

Defines a continuity between two surfaces.

## Constructor & Destructor Documentation

BRep_CurveOn2Surfaces::BRep_CurveOn2Surfaces | ( | const Handle< Geom_Surface > & | S1,
|  | const Handle< Geom_Surface > & | S2,
|  | const TopLoc_Location & | L1,
|  | const TopLoc_Location & | L2,
|  | const GeomAbs_Shape | C
| ) |  |

## Member Function Documentation

virtual const GeomAbs_Shape& BRep_CurveOn2Surfaces::Continuity | ( |  | ) | const
| virtual

Reimplemented from BRep_CurveRepresentation.

virtual void BRep_CurveOn2Surfaces::Continuity | ( | const GeomAbs_Shape | C | ) |
| virtual

Reimplemented from BRep_CurveRepresentation.

Handle< BRep_CurveRepresentation > BRep_CurveOn2Surfaces::Copy | ( |  | ) | const
| virtual

Return a copy of this representation.

Implements BRep_CurveRepresentation.

void BRep_CurveOn2Surfaces::D0 | ( | const Standard_Real | U,
|  | gp_Pnt & | P
| ) |  | const

Raises an error.

virtual Standard_Boolean BRep_CurveOn2Surfaces::IsRegularity | ( |  | ) | const
| virtual

Returns True.

Reimplemented from BRep_CurveRepresentation.

virtual Standard_Boolean BRep_CurveOn2Surfaces::IsRegularity | ( | const Handle< Geom_Surface > & | S1,
|  | const Handle< Geom_Surface > & | S2,
|  | const TopLoc_Location & | L1,
|  | const TopLoc_Location & | L2
| ) |  | const
| virtual

A curve on two surfaces (continuity).

Reimplemented from BRep_CurveRepresentation.

virtual const TopLoc_Location& BRep_CurveOn2Surfaces::Location2 | ( |  | ) | const
| virtual

Reimplemented from BRep_CurveRepresentation.

virtual const Handle< Geom_Surface >& BRep_CurveOn2Surfaces::Surface | ( |  | ) | const
| virtual

Reimplemented from BRep_CurveRepresentation.

virtual const Handle< Geom_Surface >& BRep_CurveOn2Surfaces::Surface2 | ( |  | ) | const
| virtual

Reimplemented from BRep_CurveRepresentation.

The documentation for this class was generated from the following file:

- BRep_CurveOn2Surfaces.hxx